Last Comment Bug 764671 - Stop uploading symbols for test programs/libs to the symbol server
: Stop uploading symbols for test programs/libs to the symbol server
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: Ted Mielczarek [:ted.mielczarek]
:
: Gregory Szorc [:gps]
Mentors:
Depends on:
Blocks: 598757
  Show dependency treegraph
 
Reported: 2012-06-13 18:01 PDT by Ted Mielczarek [:ted.mielczarek]
Modified: 2012-06-20 02:22 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Stop uploading symbols for test programs/libs to the symbol server (13.47 KB, patch)
2012-06-14 12:23 PDT, Ted Mielczarek [:ted.mielczarek]
nthomas: review+
Details | Diff | Splinter Review

Description Ted Mielczarek [:ted.mielczarek] 2012-06-13 18:01:46 PDT
These aren't useful for anything and they're currently wasting 50GB of space. We're going to rm the ones that are there, but we should stop uploading them too.
Comment 1 Ted Mielczarek [:ted.mielczarek] 2012-06-14 11:56:27 PDT
I wrote a patch that skips *test* and *Test* files, and it works, but there's still a fair bit of junk:
BadPlugin
GoodPlugin
ReadNTLM
ShowAlignments
ShowSSEConfig
SimpleTypeLib
WriteArgument
certutiljs
mangle
modutil
nsIFileEnumerator
nsinstall
pk12util
rdfcat
rdfpoll
shlibsign
ssltunnel
triplescat

I guess I can change it to be an exclusions file and we can just list most of this stuff there. Kind of sucks, but it'd help a bit.
Comment 2 Ted Mielczarek [:ted.mielczarek] 2012-06-14 12:23:20 PDT
Created attachment 633231 [details] [diff] [review]
Stop uploading symbols for test programs/libs to the symbol server

Here's what I've got so far, including unit tests. This drops $(DIST)/crashreporter-symbols from 35MB to 31MB on my Mac.
Comment 3 Ted Mielczarek [:ted.mielczarek] 2012-06-15 07:49:35 PDT
Comment on attachment 633231 [details] [diff] [review]
Stop uploading symbols for test programs/libs to the symbol server

Feel like reviewing this, Nick?
Comment 4 Nick Thomas [:nthomas] 2012-06-17 18:56:01 PDT
Comment on attachment 633231 [details] [diff] [review]
Stop uploading symbols for test programs/libs to the symbol server

Looks fine to me.
Comment 5 Ted Mielczarek [:ted.mielczarek] 2012-06-18 04:23:52 PDT
I pushed this to try along with my patch for bug 587073, so I'll wait to make sure that doesn't break anything first.
Comment 6 Ted Mielczarek [:ted.mielczarek] 2012-06-18 04:26:02 PDT
The ideal solution for this would be to only dump symbols for things that wind up in the package, but we have to run buildsymbols before make package to make everything work right. If we rejiggered things a bit so that we had the preprocessed package manifest available we could use that as a whitelist. That's probably a good follow-up.
Comment 7 Nick Thomas [:nthomas] 2012-06-18 17:35:25 PDT
Comment on attachment 633231 [details] [diff] [review]
Stop uploading symbols for test programs/libs to the symbol server

I meant to ask if the tests will be run in 'make check' or equivalent ? Otherwise they only test the native platform when run.
Comment 8 Nick Thomas [:nthomas] 2012-06-18 20:11:17 PDT
d'oh, that would be the hunk in toolkit/crashreporter/Makefile.in.
Comment 9 Ted Mielczarek [:ted.mielczarek] 2012-06-19 05:16:43 PDT
Yeah, they get run during "make check", and I've verified that they pass on Mac/Win/Linux.
Comment 10 Ted Mielczarek [:ted.mielczarek] 2012-06-19 07:14:20 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/602cfef02b3d
Comment 11 Ed Morley [:emorley] 2012-06-20 02:22:41 PDT
https://hg.mozilla.org/mozilla-central/rev/602cfef02b3d

Note You need to log in before you can comment on or make changes to this bug.